#include	"common.h"

int
main(int argc, char **argv)
{
	int					listenfd, connfd, fd;
	socklen_t			len;
	struct sockaddr_in	servaddr, cliaddr;
	char				buff[MAXLINE];
	char				incomebuff[MAXPKSIZE];
	char				content[MAXPAYLOAD];
	time_t				ticks;
	struct ipv6_t		ipv6pack;
	struct udp_t		udppack;
	struct udp_t		udptemp[MAXBuffNum];
	int					i;
	char				*ippayloadpointer;

	char				streamreceived[MAXBuffNum*MAXPKSIZE];
	int					streamlen;

	char				filename[MAXFILENAMELEN];
	int					filenamelen;

	int					numofediphs;
	int					count;



	//printf("sizeof int here is %d \n", sizeof(int));

	if ( (listenfd = socket(AF_INET, SOCK_STREAM, 0))<0)
	{
		printf("Socket creation error! Program exit!\n");
		exit (-1);
	}

	bzero(&servaddr, sizeof(servaddr));
	servaddr.sin_family      = AF_INET;
	servaddr.sin_addr.s_addr = htonl(INADDR_ANY);
	servaddr.sin_port        = htons(EUListenPort);	

	if (bind(listenfd, (struct sockaddr *) &servaddr, sizeof(servaddr))<0)
	{
		printf("Binding error! Program exit!\n");
		exit(-1);
	}

	listen(listenfd, LISTENQ);

	count=0;

	for ( ; ; ) {


			len = sizeof(cliaddr);
			connfd = accept(listenfd, (struct sockaddr *) &cliaddr, &len);
			printf("connection from %s, port %d\n",
			   inet_ntop(AF_INET, &cliaddr.sin_addr, buff, sizeof(buff)),
			   ntohs(cliaddr.sin_port));
			readn(connfd, incomebuff, MAXPKSIZE);
			close(connfd);

			count++;
			printf("Received pkg# %d \n", count);


	}
	return (0);
}
